Properties Methods Events Direct Link

    Error
      Api.Error

# Class Ext.data.Api.Error

Package: | Ext.data
Defined In: | Api.js
Class: | Api.Error
Extends: | Error

Error class for Ext.data.Api errors

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

getMessage() : String
getMessage
getMessage
Parameters:

- None.

Returns:

- `String`

Error

getName() : String
getName
getName
Parameters:

- None.

Returns:

- `String`

Error

toJson() : String
toJson
toJson
Parameters:

- None.

Returns:

- `String`

Error

## Public Events

This class has no public events.